summaryrefslogtreecommitdiffstats
path: root/extra/source/sendmail/_sendmail/install/doinst.sh
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-06-15 00:03:49 +0000
committer Eric Hameleers <alien@slackware.com>2018-06-15 09:00:28 +0200
commit086112c734c9b6018855be83798bcdaf61505c14 (patch)
tree216ed35cf5359876953ca387954ef58607a436ca /extra/source/sendmail/_sendmail/install/doinst.sh
parent11b00957be9f8661c4248d52bb20cdacdd442615 (diff)
downloadcurrent-20180615000349.tar.gz
current-20180615000349.tar.xz
Fri Jun 15 00:03:49 UTC 201820180615000349
a/dcron-4.5-x86_64-8.txz: Rebuilt. rc.crond: match the running process more accurately. a/glibc-zoneinfo-2018e-noarch-3.txz: Rebuilt. Don't emit an error if the /etc/localtime-copied-from is not present when the package is initially installed. a/libcgroup-0.41-x86_64-5.txz: Rebuilt. Added /etc/cgconfig.d/ directory. a/pkgtools-15.0-noarch-19.txz: Rebuilt. installpkg, makebootdisk, removepkg, upgradepkg: don't try to remove admin directories (supposedly "in case" they are a symlink). a/sysvinit-scripts-2.1-noarch-12.txz: Rebuilt. rc.6: stop haveged rc.S: start rc.cgconfig and rc.cgred ap/at-3.1.20-x86_64-5.txz: Rebuilt. rc.atd: match the running process more accurately. ap/slackpkg-2.83.0-noarch-2.txz: Rebuilt. Patched to handle the case where /var/log/packages is a symlink. l/gsl-2.5-x86_64-1.txz: Upgraded.
Diffstat (limited to 'extra/source/sendmail/_sendmail/install/doinst.sh')
-rw-r--r--extra/source/sendmail/_sendmail/install/doinst.sh76
1 files changed, 76 insertions, 0 deletions
diff --git a/extra/source/sendmail/_sendmail/install/doinst.sh b/extra/source/sendmail/_sendmail/install/doinst.sh
new file mode 100644
index 000000000..3e163d9cf
--- /dev/null
+++ b/extra/source/sendmail/_sendmail/install/doinst.sh
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# If the smmsp user/group don't exist, add them:
+if ! grep -q "^smmsp:" etc/passwd ; then
+ echo "smmsp:x:25:25:smmsp:/var/spool/clientmqueue:" >> etc/passwd
+fi
+if ! grep -q "^smmsp:" etc/group ; then
+ echo "smmsp::25:smmsp" >> etc/group
+fi
+
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/mail/Makefile.new
+config etc/mail/access.db.new
+config etc/mail/access.new
+config etc/mail/aliases.db.new
+config etc/mail/aliases.new
+config etc/mail/domaintable.db.new
+config etc/mail/domaintable.new
+config etc/mail/local-host-names.new
+config etc/mail/mailertable.db.new
+config etc/mail/mailertable.new
+config etc/mail/sendmail.cf.new
+config etc/mail/statistics.new
+config etc/mail/submit.cf.new
+config etc/mail/trusted-users.new
+config etc/mail/virtusertable.db.new
+config etc/mail/virtusertable.new
+# Keep same perms on rc.sendmail.new:
+if [ -e etc/rc.d/rc.sendmail ]; then
+ cp -a etc/rc.d/rc.sendmail etc/rc.d/rc.sendmail.new.incoming
+ cat etc/rc.d/rc.sendmail.new > etc/rc.d/rc.sendmail.new.incoming
+ touch -r etc/rc.d/rc.sendmail.new etc/rc.d/rc.sendmail.new.incoming
+ mv etc/rc.d/rc.sendmail.new.incoming etc/rc.d/rc.sendmail.new
+fi
+config etc/rc.d/rc.sendmail.new
+
+# These are shipped empty, so rm them if they weren't needed:
+rm -f etc/mail/access.db.new etc/mail/access.new etc/mail/domaintable.db.new etc/mail/domaintable.new etc/mail/local-host-names.new etc/mail/mailertable.db.new etc/mail/mailertable.new etc/mail/statistics.new etc/mail/trusted-users.new etc/mail/virtusertable.db.new etc/mail/virtusertable.new
+# This also shouldn't be needed later (the admin should generate a new one):
+rm -f etc/mail/aliases.db.new
+
+# Install new sendmail binary:
+rm -f usr/sbin/sendmail
+mv usr/sbin/sendmail.new usr/sbin/sendmail
+
+# Make sure we have the perms right on these:
+chown root:smmsp usr/sbin/sendmail
+chmod 2555 usr/sbin/sendmail
+chown smmsp:smmsp var/spool/clientmqueue
+
+( cd usr/bin ; rm -rf newaliases )
+( cd usr/bin ; ln -sf /usr/sbin/sendmail newaliases )
+( cd usr/bin ; rm -rf mailq )
+( cd usr/bin ; ln -sf /usr/sbin/sendmail mailq )
+( cd usr/bin ; rm -rf hoststat )
+( cd usr/bin ; ln -sf /usr/sbin/sendmail hoststat )
+( cd usr/bin ; rm -rf purgestat )
+( cd usr/bin ; ln -sf /usr/sbin/sendmail purgestat )
+( cd usr/lib ; rm -rf sendmail )
+( cd usr/lib ; ln -sf /usr/sbin/sendmail sendmail )
+( cd usr/bin ; rm -rf sendmail )
+( cd usr/bin ; ln -sf /usr/sbin/sendmail sendmail )
+
+( cd usr/sbin ; rm -rf praliases )
+( cd usr/sbin ; ln -sf ../bin/praliases praliases )